Subject: bug#4210 closed by Juri Linkov <[email-masked]> (Re: bug#4210: 23.1.50; lgrep chooses silly default value for file extension)

From: [email-masked] (Emacs bug Tracking System)
Date: Sun, 30 Aug 2009 23:55:07 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#4210: 23.1.50; lgrep chooses silly default value for file extension

It has been closed by Juri Linkov <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Juri Linkov <[email-masked]> by
replying to this email.

-- 
4210: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4210
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4210: 23.1.50; lgrep chooses silly default value for file extension
From: Juri Linkov <[email-masked]>
To: Kevin Rodgers <[email-masked]>
Cc: [email-masked]
Date: Mon, 31 Aug 2009 02:47:54 +0300

Thank you.

-- 
Juri Linkov
http://www.jurta.org/emacs/

Subject: 23.1.50; lgrep chooses silly default value for file extension
From: Eric Hanchrow <[email-masked]>
To: [email-masked]
Date: Wed, 19 Aug 2009 19:20:33 -0700

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I visited a python file

C-x C-f ~ / l o c TAB RET b i n RET . p y RET

(I happen to have a bunch of python files in ~/local/bin, and I have
ido-mode turned on)
 
I cloned the buffer:

C-x 4 c 

I used lgrep to search:

ESC x l g r e p RET ^ c l a s s RET RET RET

At this point I was looking at a *grep* buffer like this:

    -*- mode: grep; default-directory: "~/local/bin/" -*-
    Grep started at Wed Aug 19 19:17:41

    grep -i -nH -e \^class *.py<2>
    /bin/bash: -c: line 0: syntax error near unexpected token `2'
    /bin/bash: -c: line 0: `grep -i -nH -e \^class *.py<2>'

    Grep exited abnormally with code 2 at Wed Aug 19 19:17:41

Naturally the "grep" command should have been 

    grep -i -nH -e \^class *.py

i.e., the "<2>" shouldn't have been put in there.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/local/src/emacs/etc/DEBUG for instructions.

In GNU Emacs 23.1.50.2 (i686-pc-linux-gnu, GTK+ Version 2.12.12)
 of 2009-08-17 on debian
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Python

Minor modes in effect:
  shell-dirtrack-mode: t
  erc-list-mode: t
  erc-menu-mode: t
  erc-ring-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-netsplit-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-autojoin-mode: t
  erc-log-mode: t
  erc-services-mode: t
  erc-networks-mode: t
  global-auto-revert-mode: t
  display-time-mode: t
  tooltip-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:

Recent messages:
Making completion list...
prep-new-frame: considering #<frame F4 0x9755a38>; SSH_TTY is /dev/pts/0
When done with this frame, type C-x 5 0
Corrections: displays displays display misplays displace displease dispels splays
Mark set
prep-new-frame: considering #<frame F5 0x97c7748>; SSH_TTY is /dev/pts/5
When done with this frame, type C-x 5 0
Quit
Loading tramp...done
Grep exited abnormally with code 2

Load-path shadows:
~/.emacs.d/custom hides /usr/local/src/emacs/lisp/custom

-- 
If there were a little guy running around inside the computer
executing our programs, he would probably have as long and
plaintive a tale to tell about his job as a federal government
employee.
        -- Paul Graham